curl --request GET \
--url https://api.qovery.com/helm/{helmId}/link \
--header 'Authorization: Bearer <token>'{
"results": [
{
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_type": "APPLICATION",
"url": "<string>",
"internal_port": 123,
"external_port": 123,
"is_qovery_domain": true,
"is_default": true
}
]
}This will return all the custom domains and Qovery autogenerated domain for the given helm
curl --request GET \
--url https://api.qovery.com/helm/{helmId}/link \
--header 'Authorization: Bearer <token>'{
"results": [
{
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_type": "APPLICATION",
"url": "<string>",
"internal_port": 123,
"external_port": 123,
"is_qovery_domain": true,
"is_default": true
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Helm ID
List links
Show child attributes
Was this page helpful?